ArrayIndexOutOfBoundsException (Java Platform SE 8 )
Keywords: java.lang.ArrayIndexOutOfBoundsException class
Date: 2026-04-17

compact1, compact2, compact3
java.lang

## Class ArrayIndexOutOfBoundsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IndexOutOfBoundsException
        - - java.lang.ArrayIndexOutOfBoundsException

- All Implemented Interfaces:
    Serializable

      public class ArrayIndexOutOfBoundsException
      extends IndexOutOfBoundsException

  Thrown to indicate that an array has been accessed with an illegal index. The index is either negative or greater than or equal to the size of the array.
  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayIndexOutOfBoundsException()` Constructs an `ArrayIndexOutOfBoundsException` with no detail message.
    `ArrayIndexOutOfBoundsException(int index)` Constructs a new `ArrayIndexOutOfBoundsException` class with an argument indicating the illegal index.
    `ArrayIndexOutOfBoundsException(String s)` Constructs an `ArrayIndexOutOfBoundsException` class with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArrayIndexOutOfBoundsException

          public ArrayIndexOutOfBoundsException()

      Constructs an `ArrayIndexOutOfBoundsException` with no detail message.

    - #### ArrayIndexOutOfBoundsException

          public ArrayIndexOutOfBoundsException(int index)

      Constructs a new `ArrayIndexOutOfBoundsException` class with an argument indicating the illegal index.
      Parameters:
        `index` - the illegal index.

    - #### ArrayIndexOutOfBoundsException

          public ArrayIndexOutOfBoundsException(String s)

      Constructs an `ArrayIndexOutOfBoundsException` class with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.